# Wether or not to include the X11 version of xaumix
%define with_xaumix		0
# Wether or not to install desktop menu files so it is in GNOME/KDE menus
%define with_desktop_files	0

# Do not build on s390/s390x because there is no audio hardware
Excludearch: s390 s390x

Summary: An ncurses-based audio mixer.
Name:    aumix
Version: 2.8
Release: 9
License: GPL
URL:     http://jpj.net/~trevor/aumix.html
Group:   Applications/Multimedia
Source0: http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
Source1: aumix.desktop
Patch0:  aumix-2.8-save_load.patch
Patch1:  aumix-2.8-include-signal_h.patch
Patch2:  aumix-fix-cursor-color-on-exit.patch

Requires: initscripts >= 4.42
BuildRequires: ncurses-devel, autoconf, automake
# xaumix and its manpage moved from aumix-X11 to aumix in 2.8-1
Conflicts: aumix-X11 < 2.8
# If we're not building the -X11 subpackage, obsolete it so that upgrades
# work on systems that previously had aumix-X11 installed (#98605,98606)
%if ! %{with_xaumix}
Obsoletes: aumix-X11
%endif
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Aumix is a tty-based, interactive method of controlling a sound card 
mixer. It lets you adjust the input levels from the CD, microphone,
and board synthesizers, as well as the output volume. Aumix can 
adjust audio mixers from the command line, from a script, or 
interactively at the console or terminal with an
ncurses-based interface.

Install aumix if you need to control an audio mixer.  If you want to use
Aumix's GUI, you'll need to install ncurses and gpm for mouse support.

%if %{with_xaumix}
%package X11
Group: Applications/Multimedia
Summary: An X11-based audio mixer
Requires: aumix = %{version}

%description X11
Aumix-X11 is a gtk-based, interactive method of controlling a sound card
mixer. It lets you adjust the input levels from the CD, microphone,
and board synthesizers, as well as the output volume. Aumix can
adjust audio mixers from the command line, from a script, or
interactively at the console or terminal with an
ncurses-based interface.

Install aumix if you need to control an audio mixer from X11.
%endif

%prep
%setup -q
%patch0 -p1 -b .save_load
%patch1 -p0 -b .include-signal_h
%patch2 -p0 -b .fix-cursor-color-on-exit

#aclocal ; automake -a ; autoheader ; autoconf

%build
export CFLAGS="$RPM_OPT_FLAGS"

%configure --prefix=/ --without-alsa --without-ncurses --without-gtk --without-gtk1
make
mv src/aumix ./aumix-minimal

%if %{with_xaumix}
make distclean
%configure --without-alsa --without-ncurses
make
mv src/aumix ./aumix-X11
%endif

make distclean
%configure --without-alsa --without-gtk --without-gtk1
make

%install
rm -rf %{buildroot}
%makeinstall

make prefix=%{buildroot}/usr install -C po
mkdir -p %{buildroot}/bin
install -c -m755 aumix-minimal %{buildroot}/bin

%if %{with_xaumix}
#mkdir -p %{buildroot}/%{_bindir}
install -c -m755 aumix-X11 %{buildroot}/%{_bindir}
%{!?with_desktop_files:mkdir -p %{buildroot}/etc/X11/applnk/Multimedia}
%{!?with_desktop_files:install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/aumix.desktop}
%endif

mkdir -p $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/aumixrc $RPM_BUILD_ROOT/etc/.aumixrc

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS ChangeLog
/bin/aumix-minimal
%{_bindir}/aumix
%{_bindir}/mute
%{_bindir}/xaumix
%{_mandir}/man1/xaumix.*
%{_mandir}/man1/aumix.*
%{_datadir}/aumix
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) /etc/aumixrc
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) /etc/.aumixrc

%if %{with_xaumix}
%files X11
%defattr(-,root,root)
%{_bindir}/aumix-X11
%{!?with_desktop_files:/etc/X11/applnk/Multimedia/aumix.desktop}
%endif

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 29 2004 Mike A. Harris <mharris@redhat.com> 2.8-8
- Added ghosted config files for SElinux file_context (#119130)
- Quote CFLAGS export

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 2.8-7.EL
- rebuilt

* Sun Aug 31 2003 Mike A. Harris <mharris@redhat.com> 2.8-6.EL
- Rebuilt 2.8-6 as 2.8-6.EL for Red Hat Enterprise Linux, to pick up the
  ppc64 inclusion

* Wed Jul 16 2003 Elliot Lee <sopwith@redhat.com> 2.8-6
- Don't exclude ppc64

* Mon Jul 15 2003 Mike A. Harris <mharris@redhat.com> 2.8-5.EL
- Rebuilt 2.8-5 as 2.8-5.EL for Red Hat Enterprise Linux

* Mon Jul 15 2003 Mike A. Harris <mharris@redhat.com> 2.8-5
- Rebuilt with new toolchain for rawhide on all arches.
- If we're not building the -X11 subpackage, obsolete it so that upgrades work
  on systems that previously had aumix-X11 installed (#98605,98606)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 2.8-4
- rebuilt

* Thu May 29 2003 Mike A. Harris <mharris@redhat.com> 2.8-3
- Added aumix-fix-cursor-color-on-exit.patch to fix bug (#78425)

* Thu May 29 2003 Mike A. Harris <mharris@redhat.com> 2.8-2
- Disable GTK support completely as we already ship tonnes of GUI mixer apps,
  and aumix is present only for initscripts and as a console mixer, and
  the new 2.8 default of running GTK when in X is running is a very confusing
  change of operation to users (#91362,91783)
- Disable xaumix as it doesn't work anyway, and doesn't make sense without
  also including GTK support

* Sun May 18 2003 Mike A. Harris <mharris@redhat.com> 2.8-1
- Updated to aumix 2.8
- Update aumix-2.8-save_load.patch to work around upstream foolishness.  Quoting
  from changelog:  "2002-03-28 - use ii and jj in loops instead of i and j, as
  suggested in Roedy Green's "How To Write Unmaintainable Code" (Trevor Johnson)"
- Disable already included patch aumix-2.7-autoconf.patch
- Do not run "aclocal", "automake -a", "autoheader", "autoconf" in %%setup
- Added aumix-2.8-include-signal_h.patch to fix missing definition of SIGALRM
  in src/interactive.c
- Added _bindir/mute binary to filelist
- Do not strip binaries in %%install
- Set CFLAGS to $RPM_OPT_FLAGS
- Dont create /etc/X11/applnk/Multimedia unless it is being used
- Move X11 binary into _bindir from /usr/X11R6
- Move xaumix binary and manpage from X11 subpackage to main package as it is
  really a text mode application.  aumix-X11 is the GUI version.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not build on mainframe

* Sun Nov 12 2002 Mike A. Harris <mharris@redhat.com> 2.7-14
- Made aumix-X11 subpackage build time conditional using with_xaumix
- Made installation of desktop menu files conditional using with_desktop_files
- Added missing xaumix manpage

* Sun Oct  6 2002 Mike A. Harris <mharris@redhat.com> 2.7-13
- All-arch rebuild

* Sun Aug  4 2002 Mike A. Harris <mharris@redhat.com> 2.7-12
- Disabled aumix desktop file so it doesn't show up in GNOME/KDE menus (#69374)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.7-11
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 2.7-10
- automated rebuild

* Tue May 21 2002 Mike A. Harris <mharris@redhat.com 2.7-9
- Rebuilt in new build environment

* Mon Feb 25 2002 Mike A. Harris <mharris@redhat.com 2.7-8
- Rebuilt in new build environment
- Added project homepage URL

* Thu Jan 31 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7-6
- rebuild

* Mon Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added ncurses-devel build req

* Mon Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com>
- fixed option parsing bug, where aumix handled load and store
- before scanning for a file name

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- don't create the .desktop file from within the spec file

* Thu Dec  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Upgrade to 2.7

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- make desktop entry a config file
- 2.6.1
- the nogtk patch has been rolled into the main distro, removed.

* Thu Jun  8 2000 Bill Nottingham <notting@redhat.com>
- FHS stuff

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- make desktop link point to correct binary (#11413)

* Wed Apr 13 2000 Bill Nottingham <notting@redhat.com>
- 2.6

* Wed Mar 29 2000 Bill Nottingham <notting@redhat.com>
- 2.5

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3
- rebuild with current libncurses
- fix up and re-enable aumix-X11, and move it to a separate package
- add a .desktop file for aumix-X11

* Mon Mar 13 2000 Bill Nottingham <notting@redhat.com>
- update to 2.2

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Dec 20 1999 Bill Nottingham <notting@redhat.com>
- update to 1.30.1

* Mon Nov 29 1999 Bill Nottingham <notting@redhat.com>
- update to 1.28

* Thu Nov  4 1999 Bill Nottingham <notting@redhat.com>
- update to 1.26

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- update to 1.23.1

* Mon Oct  4 1999 Bill Nottingham <notting@redhat.com>
- update to 1.23

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- oops, fix regular aumix

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- add stripped down version in /bin
- kill sound.init (in initscripts now)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Jun 23 1999 Bill Nottingham <notting@redhat.com>
- move initscript from rhsound to here. Woohoo - we got rid of a package! ;)

* Tue Jun 22 1999 Bill Nottingham <notting@redhat.com>
- 1.22.1

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- 1.22

* Sat May 21 1999 Bill Nottingham <notting@redhat.com>
- 1.18.4

* Thu May 06 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.3

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.2

* Mon Feb 22 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.1

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- update to 1.17

* Mon Feb  1 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 1.14

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.13

* Fri Aug 28 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.12

* Mon Aug 17 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.11

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.8

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url
- updated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 1.6.1.

